---
version: "3.9"

x-logging:
  &default-logging
  options:
    max-size: "12m"
    max-file: "5"
  driver: json-file

services:
  age:
    image: <url_imagem_classificador_idade>
    restart: always
    ports:
      - "8080:8080"
    environment:
      PORT: ${API_PORT_AGE}
      LOG_LEVEL: ${LOG_LEVEL}
    logging:
      *default-logging

  emotion:
    image: <url_imagem_classificador_emoção>
    restart: always
    ports:
      - "8081:8081"
    environment:
      PORT: ${API_PORT_EMOTION}
      LOG_LEVEL: ${LOG_LEVEL}
    logging:
      *default-logging

  gender:
    image: <url_imagem_classificador_emoção>
    restart: always
    ports:
      - "8082:8082"
    environment:
      PORT: ${API_PORT_GENDER}
      LOG_LEVEL: ${LOG_LEVEL}
    logging:
      *default-logging

networks:
  default:
    driver: bridge
